Bug 1259222 (CVE-2015-7509) - CVE-2015-7509 kernel: Mounting ext2 fs e2fsprogs/tests/f_orphan as ext4 crashes system
Summary: CVE-2015-7509 kernel: Mounting ext2 fs e2fsprogs/tests/f_orphan as ext4 crash...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-7509
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1259123
Blocks: 1259228
TreeView+ depends on / blocked
 
Reported: 2015-09-02 08:55 UTC by Adam Mariš
Modified: 2019-09-29 13:36 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux kernel's ext4 file system driver handled non-journal file systems with an orphan list. An attacker with physical access to the system could use this flaw to crash the system or, although unlikely, escalate their privileges on the system.
Clone Of:
Environment:
Last Closed: 2015-11-24 12:04:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0855 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2016-05-10 22:43:57 UTC

Description Adam Mariš 2015-09-02 08:55:59 UTC
A vulnerability was found when mounting the ext2 filesystem from e2fsprogs/tests/f_orphan as ext4, leading to system crash.

Original report:

https://bugzilla.redhat.com/show_bug.cgi?id=1259123

Comment 3 Vladis Dronov 2015-11-24 12:00:18 UTC
Upstream Linux kernel patches fixing the issue:

c9b92530 ext4: make orphan functions be no-op in no-journal mode
0e9a9a1a ext4: avoid hang when mounting non-journal filesystems with orphan list

Comment 4 Vladis Dronov 2015-11-24 12:04:15 UTC
Statement:

This problem did not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2. This issue is not planned to be corrected in future updates for Red Hat Enterprise Linux 5.

This issue is rated low as exploiting it requires physical (to plug in specially prepared usb disk) or root (to mount specially prepared filesystem) access to the system. Due to the nature of the flaw, privilege escalation cannot be fully ruled out, although we believe it is unlikely.

Comment 6 errata-xmlrpc 2016-05-10 23:11:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0855 https://rhn.redhat.com/errata/RHSA-2016-0855.html


Note You need to log in before you can comment on or make changes to this bug.